controller:
  tag: "2.375.1-jdk11"
  numExecutors: 20
  installPlugins: []
  jenkinsUrlProtocol: "https"
  serviceType: NodePort
  nodePort: 31080
  resources:
    requests:
      cpu: "500m"
      memory: "2Gi"
    limits:
      cpu: 1
      memory: "4Gi"
  jenkinsUrl: "https://jenkins.exem-oss.org/"
agent:
  podName: "jenkins-agent"
  defaultsProviderTemplate: "jenkins-agent"
  websocket: true
  workingDir: "/var/jenkins_home"
  imagePullSecretName: "dsk-cred"
  resources:
    requests:
      cpu: "500m"
      memory: "512Mi"
    limits:
      cpu: 2
      memory: "2Gi"
  podTemplates:
    default-jenkins-agent: |
      - name: "default-jenkins-agent"
        label: "default-jenkins-agent"
        containers:
          - name: kaniko
            image: "gcr.io/kaniko-project/executor:v1.9.0-debug"
            command: "/busybox/cat"
            ttyEnabled: true
    maven-jenkins-agent: |
      - name: "maven-jenkins-agent"
        label: "maven-jenkins-agent"
        containers:
          - name: kaniko
            image: "gcr.io/kaniko-project/executor:v1.9.0-debug"
            command: "/busybox/cat"
            ttyEnabled: true
          - name: maven
            image: "maven:3.8.5"
            command: "/bin/sh -c"
            args: "cat"
            ttyEnabled: true
        volumes: 
          - persistentVolumeClaim: 
              claimName: jenkins
              mountPath: "/root/.m2/repository" 
    ui-jenkins-agent: |
      - name: "ui-jenkins-agent"
        label: "ui-jenkins-agent"
        containers:
          - name: kaniko
            image: "gcr.io/kaniko-project/executor:v1.9.0-debug"
            command: "/busybox/cat"
            ttyEnabled: true
          - name: node
            image: "datasaker/node:16"
            command: "/bin/sh -c"
            args: "cat"
            ttyEnabled: true
          - name: node18
            image: "datasaker/node:18-pnpm"
            command: "/bin/sh -c"
            args: "cat"
            ttyEnabled: true
    go-jenkins-agent: |
      - name: "go-jenkins-agent"
        label: "go-jenkins-agent"
        containers:
          - name: kaniko
            image: "gcr.io/kaniko-project/executor:v1.9.0-debug"
            command: "/busybox/cat"
            ttyEnabled: true
          - name: go-builder
            image: "datasaker/golang:1.21"
            command: "/bin/sh -c"
            args: "cat"
            ttyEnabled: true
          - name: podman
            image: "datasaker/podman:latest"
            command: "/bin/sh -c"
            args: "cat"
            alwaysPullImage: true
            ttyEnabled: true
            privileged: true
        volumes: 
          - emptyDirVolume: 
              mountPath: "/tmp"
          - persistentVolumeClaim: 
              claimName: jenkins
              mountPath: "/go" 
    host-jenkins-agent: |
      - name: "host-jenkins-agent"
        label: "host-jenkins-agent"
        containers:
          - name: go-builder
            image: "datasaker/golang:1.19.1"
            command: "/bin/sh -c"
            args: "cat"
            ttyEnabled: true
          - name: ubuntu-22-04
            image: "datasaker/dsk-host-ubuntu-22.04:latest"
            command: "/bin/sh -c"
            args: "cat"
            ttyEnabled: true
          - name: ubuntu-18-04
            image: "datasaker/dsk-host-ubuntu-18.04:latest"
            command: "/bin/sh -c"
            args: "cat"
            ttyEnabled: true
          - name: centos-7
            image: "datasaker/dsk-host-centos-7:latest"
            command: "/bin/sh -c"
            args: "cat"
            ttyEnabled: true
        volumes: 
          - emptyDirVolume: 
              mountPath: "/tmp"
          - persistentVolumeClaim: 
              claimName: jenkins
              mountPath: "/go" 
persistence:
  storageClass: "nfs-provisioner-mgmt-nas"
  accessMode: "ReadWriteMany"
  size: "200Gi"